package com.elixirtech.chart2.custom;

import java.text.FieldPosition;
import java.text.NumberFormat;
import java.text.ParsePosition;

public class CustomNumberFormat1000 extends NumberFormat {

	@Override
	public StringBuffer format(double number, StringBuffer toAppendTo,
			FieldPosition pos) {
		
		String val = null;
		int newVal = (int)(number/1000);
		if (newVal==0)
		{
			return new StringBuffer("0K");
		}
		return new StringBuffer(newVal+"K");
		
	}

	@Override
	public StringBuffer format(long number, StringBuffer toAppendTo,
			FieldPosition pos) {
		String val = null;
		long newVal = number/1000;
		if (newVal==0)
		{
			return new StringBuffer("0K");
		}
		return new StringBuffer(newVal+"K");
	}

	@Override
	public Number parse(String source, ParsePosition parsePosition) {
	
		return null;
	}
	
}
